Index: trunk/SophyaPI/PI/pibwdggen.cc
===================================================================
--- trunk/SophyaPI/PI/pibwdggen.cc	(revision 203)
+++ trunk/SophyaPI/PI/pibwdggen.cc	(revision 204)
@@ -10,5 +10,5 @@
 #include "pidrwtools.h"
 
-static inline void fl_swap(float& a, float& b) { float tmp = a; a = b; b = tmp;  } 
+static inline void dbl_swap(double& a, double& b) { double tmp = a; a = b; b = tmp;  } 
 
 //++
@@ -314,5 +314,5 @@
 //	si "psz=true", les coordonnées sont supposées être des facteurs multiplicatifs 
 //	des dimensions de l'objet.
-// void  SetDefaultDrawerLimits(float xmin, float xmax, float ymin, float ymax, -
+// void  SetDefaultDrawerLimits(double xmin, double xmax, double ymin, double ymax, -
 //                              int axrl=kAxeDirSame, int ayud=kAxeDirSame)
 //	Définition du système de coordonnées par défaut d'un drawer attaché en "autolim=true"
@@ -328,5 +328,5 @@
 
 /* --Methode-- */
-void PIBaseWdgGen::SetDefaultDrawerLimits(float xmin, float xmax, float ymin, float ymax,
+void PIBaseWdgGen::SetDefaultDrawerLimits(double xmin, double xmax, double ymin, double ymax,
                                           int axrl, int ayud)
 {
@@ -483,5 +483,5 @@
 void PIBaseWdgGen::CallDrawers(PIGraphic* g, int x0, int y0, int dx, int dy)
 {
-float xmin,ymin, xmax, ymax;
+double xmin,ymin, xmax, ymax;
 PIGraphicUC* guc;
 int drx0, dry0, drdx, drdy;
@@ -489,8 +489,8 @@
 
 if (mDrElastic) { 
-  ddrx0 = (int)((float) mDrX1 * (float)XSize());
-  ddry0 = (int)((float) mDrY1 * (float)YSize());
-  ddrdx = (int)((float) mDrX2 * (float)XSize()) - ddrx0 ;
-  ddrdy = (int)((float) mDrY2 * (float)YSize()) - ddry0 ;
+  ddrx0 = (int)((double) mDrX1 * (double)XSize());
+  ddry0 = (int)((double) mDrY1 * (double)YSize());
+  ddrdx = (int)((double) mDrX2 * (double)XSize()) - ddrx0 ;
+  ddrdy = (int)((double) mDrY2 * (double)YSize()) - ddry0 ;
   }
 else {
@@ -510,8 +510,8 @@
   else {
     if ( (*it).elastic  ) {   // Taille/position defin en fraction de la taille du PIBaseWdg
-      drx0 = (int)((float)(*it).x1 * (float)XSize());
-      dry0 = (int)((float)(*it).y1 * (float)YSize());
-      drdx = (int)((float)(*it).x2 * (float)XSize()) - drx0 ;
-      drdy = (int)((float)(*it).y2 * (float)YSize()) - dry0 ;
+      drx0 = (int)((double)(*it).x1 * (double)XSize());
+      dry0 = (int)((double)(*it).y1 * (double)YSize());
+      drdx = (int)((double)(*it).x2 * (double)XSize()) - drx0 ;
+      drdy = (int)((double)(*it).y2 * (double)YSize()) - dry0 ;
       }
     else {
@@ -534,6 +534,6 @@
     guc->GrC2UC(XSize(), YSize(), xmax, ymax);    
     } 
-  if (xmin > xmax)  fl_swap(xmin,xmax);
-  if (ymin > ymax)  fl_swap(ymin,ymax);
+  if (xmin > xmax)  dbl_swap(xmin,xmax);
+  if (ymin > ymax)  dbl_swap(ymin,ymax);
   (*it).drw->Draw(guc, xmin, ymin, xmax, ymax);
   g->RestoreGraphicAtt();
@@ -547,5 +547,5 @@
 void PIBaseWdgGen::CallDrawer(int id)
 {
-float xmin,ymin, xmax, ymax;
+double xmin,ymin, xmax, ymax;
 PIGraphicUC* guc;
 int drx0, dry0, drdx, drdy;
@@ -555,8 +555,8 @@
 
 if (mDrElastic) { 
-  ddrx0 = (int)((float) mDrX1 * (float)XSize());
-  ddry0 = (int)((float) mDrY1 * (float)YSize());
-  ddrdx = (int)((float) mDrX2 * (float)XSize()) - ddrx0 ;
-  ddrdy = (int)((float) mDrY2 * (float)YSize()) - ddry0 ;
+  ddrx0 = (int)((double) mDrX1 * (double)XSize());
+  ddry0 = (int)((double) mDrY1 * (double)YSize());
+  ddrdx = (int)((double) mDrX2 * (double)XSize()) - ddrx0 ;
+  ddrdy = (int)((double) mDrY2 * (double)YSize()) - ddry0 ;
   }
 else {
@@ -572,8 +572,8 @@
     else {
       if ( (*it).elastic  ) {   // Taille/position defin en fraction de la taille du PIBaseWdg
-        drx0 = (int)((float)(*it).x1 * (float)XSize());
-        dry0 = (int)((float)(*it).y1 * (float)YSize());
-        drdx = (int)((float)(*it).x2 * (float)XSize()) - drx0 ;
-        drdy = (int)((float)(*it).y2 * (float)YSize()) - dry0 ;
+        drx0 = (int)((double)(*it).x1 * (double)XSize());
+        dry0 = (int)((double)(*it).y1 * (double)YSize());
+        drdx = (int)((double)(*it).x2 * (double)XSize()) - drx0 ;
+        drdy = (int)((double)(*it).y2 * (double)YSize()) - dry0 ;
         }
       else {
@@ -590,6 +590,6 @@
     guc->GrC2UC(0, 0, xmin, ymin);
     guc->GrC2UC(XSize(), YSize(), xmax, ymax);     
-    if (xmin > xmax)  fl_swap(xmin,xmax);
-    if (ymin > ymax)  fl_swap(ymin,ymax);
+    if (xmin > xmax)  dbl_swap(xmin,xmax);
+    if (ymin > ymax)  dbl_swap(ymin,ymax);
     (*it).drw->Draw(guc, xmin, ymin, xmax, ymax);
     g->RestoreGraphicAtt();    
Index: trunk/SophyaPI/PI/pibwdggen.h
===================================================================
--- trunk/SophyaPI/PI/pibwdggen.h	(revision 203)
+++ trunk/SophyaPI/PI/pibwdggen.h	(revision 204)
@@ -85,5 +85,5 @@
   virtual void       SetDefaultDrawRectangle(PIGrCoord x1, PIGrCoord y1, 
                                              PIGrCoord x2, PIGrCoord y2, bool psz=true); 
-  virtual void       SetDefaultDrawerLimits(float xmin, float xmax, float ymin, float ymax,
+  virtual void       SetDefaultDrawerLimits(double xmin, double xmax, double ymin, double ymax,
                                             int axrl=kAxeDirSame, int ayud=kAxeDirSame); 
   virtual int        AddDrawer(PIDrawer* drw, PIGrCoord x1, PIGrCoord y1, 
@@ -118,5 +118,5 @@
   PIGrCoord mDrX1, mDrY1,  mDrX2,  mDrY2;  
   bool mDrElastic;   // true --> Coord en fraction de la taille 
-  float mDrXmin, mDrXmax, mDrYmin, mDrYmax;   // Limites par defaut - UC
+  double mDrXmin, mDrXmax, mDrYmin, mDrYmax;   // Limites par defaut - UC
   int  mDXdir, mDYdir;                        // Sens des axes par defaut
 
Index: trunk/SophyaPI/PI/pidrawer.cc
===================================================================
--- trunk/SophyaPI/PI/pidrawer.cc	(revision 203)
+++ trunk/SophyaPI/PI/pidrawer.cc	(revision 204)
@@ -59,5 +59,5 @@
 
 //++
-// void  SetLimits(float xmin, float xmax, float ymin, float ymax, -
+// void  SetLimits(double xmin, double xmax, double ymin, double ymax, -
 //                 int axrl=kAxeDirSame, int ayud=kAxeDirSame)
 //	Définit les limites du système de coordonnées.
@@ -71,14 +71,14 @@
 
 void
-PIDrawer::SetLimits(float xmin, float xmax, float ymin, float ymax,
+PIDrawer::SetLimits(double xmin, double xmax, double ymin, double ymax,
                     int axrl, int ayud)
 {
   if (axrl == kAxeDirAuto) {
-    float ff;
+    double ff;
     if (xmax < xmin)  { axrl = kAxeDirRtoL;   ff=xmin;  xmin=xmax;  xmax=ff; }
     else  axrl = kAxeDirLtoR;
   }
   if (ayud == kAxeDirAuto) {
-    float ff;
+    double ff;
     if (ymax < ymin)  { ayud = kAxeDirUpDown;   ff=ymin;  ymin=ymax;  ymax=ff; }
     else  ayud = kAxeDirDownUp;
@@ -100,5 +100,5 @@
 
 //++
-//  void  Draw(PIGraphicUC* g, float xmin, float ymin, float xmax, float ymax)
+//  void  Draw(PIGraphicUC* g, double xmin, double ymin, double xmax, double ymax)
 //	Méthode qui est appelé lorsquer l'objet PIDrawer doit rafraichir la zone
 //	définie par "xmin-xmax" , "ymin-ymax" dans le système de coordonnées du
@@ -227,5 +227,5 @@
 
 /* --Methode-Static-- */
-void PIDrawer::BestTicks(float rmin,float rmax,int nticks,float& majt)
+void PIDrawer::BestTicks(double rmin,double rmax,int nticks,double& majt)
 {
 double d = rmax - rmin;
@@ -336,12 +336,12 @@
     // Longueur des ticks
     
-    float extXMajTickLen = flags&kExtTicks ? xMajTickLen : 0;
-    float intXMajTickLen = flags&kIntTicks ? xMajTickLen : 0;
-    float extXMinTickLen = flags&kExtTicks ? xMinTickLen : 0;
-    float intXMinTickLen = flags&kIntTicks ? xMinTickLen : 0;
-    float extYMajTickLen = flags&kExtTicks ? yMajTickLen : 0;
-    float intYMajTickLen = flags&kIntTicks ? yMajTickLen : 0;
-    float extYMinTickLen = flags&kExtTicks ? yMinTickLen : 0;
-    float intYMinTickLen = flags&kIntTicks ? yMinTickLen : 0;
+    double extXMajTickLen = flags&kExtTicks ? xMajTickLen : 0;
+    double intXMajTickLen = flags&kIntTicks ? xMajTickLen : 0;
+    double extXMinTickLen = flags&kExtTicks ? xMinTickLen : 0;
+    double intXMinTickLen = flags&kIntTicks ? xMinTickLen : 0;
+    double extYMajTickLen = flags&kExtTicks ? yMajTickLen : 0;
+    double intYMajTickLen = flags&kIntTicks ? yMajTickLen : 0;
+    double extYMinTickLen = flags&kExtTicks ? yMinTickLen : 0;
+    double intYMinTickLen = flags&kIntTicks ? yMinTickLen : 0;
 
     // La grille en pointilles
@@ -395,34 +395,34 @@
 
 void
-PIDrawer::Draw(PIGraphicUC* g, float /*xmin*/, float /*ymin*/, float /*xmax*/, float /*ymax*/)
-{
-}
-
-
-void
-PIDrawer::DrawHTicks(PIGraphicUC* g, float y, float tickUp, float tickDown, float xBeg, float xStep)
-{
-  for (float x=xBeg; x<=xMax; x += xStep)
+PIDrawer::Draw(PIGraphicUC* g, double /*xmin*/, double /*ymin*/, double /*xmax*/, double /*ymax*/)
+{
+}
+
+
+void
+PIDrawer::DrawHTicks(PIGraphicUC* g, double y, double tickUp, double tickDown, double xBeg, double xStep)
+{
+  for (double x=xBeg; x<=xMax; x += xStep)
     g->DrawLine(x, y-tickDown, x, y+tickUp);
 }
 
 void
-PIDrawer::DrawVTicks(PIGraphicUC* g, float x, float tickLeft, float tickRight, float yBeg, float yStep)
-{
-  for (float y=yBeg; y<=yMax; y += yStep)
+PIDrawer::DrawVTicks(PIGraphicUC* g, double x, double tickLeft, double tickRight, double yBeg, double yStep)
+{
+  for (double y=yBeg; y<=yMax; y += yStep)
     g->DrawLine(x-tickLeft, y, x+tickRight, y);
 }
 
 void
-PIDrawer::DrawHLabels(PIGraphicUC* g, float y, float xBeg, float xStep, int just)
-{
-  float xOffset = 0;
+PIDrawer::DrawHLabels(PIGraphicUC* g, double y, double xBeg, double xStep, int just)
+{
+  double xOffset = 0;
   int kk;
   g->SelFontSz(xMajTickLen*4.);
-  for (float x=xBeg; x<=xMax; x += xStep) {
+  for (double x=xBeg; x<=xMax; x += xStep) {
       char label[20]; sprintf(label, "%-6g", x);
       for(kk=0; kk<20; kk++)
         if (label[kk] == ' ')   { label[kk] = '\0' ; break; }
-      float largeur = g->CalcStringWidth(label);
+      double largeur = g->CalcStringWidth(label);
       if (just == 1)
         xOffset = -largeur;
@@ -437,11 +437,11 @@
 
 void
-PIDrawer::DrawVLabels(PIGraphicUC* g, float x, float yBeg, float yStep, int just)
-{
-  float xOffset = 0;
+PIDrawer::DrawVLabels(PIGraphicUC* g, double x, double yBeg, double yStep, int just)
+{
+  double xOffset = 0;
   g->SelFontSz(xMajTickLen*4.);
-  for (float y=yBeg; y<=yMax; y += yStep) {
+  for (double y=yBeg; y<=yMax; y += yStep) {
       char label[20]; sprintf(label, "%-6g", y);
-      float largeur = g->CalcStringWidth(label);
+      double largeur = g->CalcStringWidth(label);
       if (just == 1)
         xOffset = -largeur;
@@ -461,8 +461,8 @@
   g->SelLine(PI_ThinDashedLine);
 
-  for (float x=xFirstMajTick; x<=xMax; x += xMajTickStep)
+  for (double x=xFirstMajTick; x<=xMax; x += xMajTickStep)
     g->DrawLine(x, yMin, x, yMax);
 
-  for (float y=yFirstMajTick; y<=yMax; y += yMajTickStep)
+  for (double y=yFirstMajTick; y<=yMax; y += yMajTickStep)
     g->DrawLine(xMin, y, xMax, y);
 
@@ -501,5 +501,5 @@
 
 /* --Methode-- */
-void  PIElDrawer::Draw(PIGraphicUC* g, float /*xmin*/, float /*ymin*/, float /*xmax*/, float /*ymax*/)
+void  PIElDrawer::Draw(PIGraphicUC* g, double /*xmin*/, double /*ymin*/, double /*xmax*/, double /*ymax*/)
 {
 DrawAxes(g);   // Trace des axes 
@@ -512,5 +512,5 @@
   aYdir = false;  // Vrai si Axe Y de Haut vers Bas
   PIGrCoord gas, gds;
-  float fx, fy, fh;
+  double fx, fy, fh;
 //  fh = g->GetFontHeightUC(gas, gds);
   fh = 0.075*(YMax()-YMin());
Index: trunk/SophyaPI/PI/pidrawer.h
===================================================================
--- trunk/SophyaPI/PI/pidrawer.h	(revision 203)
+++ trunk/SophyaPI/PI/pidrawer.h	(revision 204)
@@ -34,5 +34,5 @@
   virtual           ~PIDrawer();
 
-  virtual void       SetLimits(float xmin, float xmax, float ymin, float ymax,
+  virtual void       SetLimits(double xmin, double xmax, double ymin, double ymax,
                                int axrl=kAxeDirSame, int ayud=kAxeDirSame);
 
@@ -40,13 +40,13 @@
   virtual void       SetAxesFlags(unsigned int flags=kAxesNone);
     
-  virtual void       Draw(PIGraphicUC* g, float xmin, float ymin, float xmax, float ymax); 
+  virtual void       Draw(PIGraphicUC* g, double xmin, double ymin, double xmax, double ymax); 
    
   virtual void       Refresh();      // Recalcule les limites et reaffiche
   virtual void       UpdateLimits();   // Calcule et change les limites  
 
-  float XMin() const {return xMin;}
-  float XMax() const {return xMax;}
-  float YMin() const {return yMin;}
-  float YMax() const {return yMax;}
+  double XMin() const {return xMin;}
+  double XMax() const {return xMax;}
+  double YMin() const {return yMin;}
+  double YMax() const {return yMax;}
   inline unsigned int GetAxesFlags() { return(axesFlags); }
   
@@ -68,5 +68,5 @@
 //  --- Methode static ----
 //  Calcul des Distances optimales des subdivisions 
-  static void        BestTicks(float rmin,float rmax,int nticks,float& majt);
+  static void        BestTicks(double rmin,double rmax,int nticks,double& majt);
 
 //  Les objets/methodes suivants devraient etre protected     
@@ -84,22 +84,22 @@
   void CalcTicks();
 
-  void DrawHTicks(PIGraphicUC* g, float y, float tickUp, float tickDown, float xBeg, float xStep);
-  void DrawVTicks(PIGraphicUC* g, float x, float tickLeft, float tickRight, float yBeg, float yStep);
-  void DrawHLabels(PIGraphicUC* g, float y, float xBeg, float xStep, int just=0);
-  void DrawVLabels(PIGraphicUC* g, float x, float yBeg, float yStep, int just=0);
+  void DrawHTicks(PIGraphicUC* g, double y, double tickUp, double tickDown, double xBeg, double xStep);
+  void DrawVTicks(PIGraphicUC* g, double x, double tickLeft, double tickRight, double yBeg, double yStep);
+  void DrawHLabels(PIGraphicUC* g, double y, double xBeg, double xStep, int just=0);
+  void DrawVLabels(PIGraphicUC* g, double x, double yBeg, double yStep, int just=0);
   void DrawGrid(PIGraphicUC* g);
 
   
-  float xMin, xMax, yMin, yMax;  // Valeurs en unites user
+  double xMin, xMax, yMin, yMax;  // Valeurs en unites user
   int xW0, yW0, xWd, yWd;        // Origine/largeur ds la fenetre de trace
   bool   aXdir, aYdir;           // Sens des axes horiz, vertical 
   int aXFlg, aYFlg;
 
-  float xFirstMajTick, xFirstMinTick;
-  float yFirstMajTick, yFirstMinTick;
-  float xMajTickStep, xMinTickStep;
-  float yMajTickStep, yMinTickStep;
-  float xMajTickLen,  xMinTickLen;
-  float yMajTickLen,  yMinTickLen;
+  double xFirstMajTick, xFirstMinTick;
+  double yFirstMajTick, yFirstMinTick;
+  double xMajTickStep, xMinTickStep;
+  double yMajTickStep, yMinTickStep;
+  double xMajTickLen,  xMinTickLen;
+  double yMajTickLen,  yMinTickLen;
   
   int limitsFixed;
@@ -139,5 +139,5 @@
   virtual void       SetTitles(string const & tt, string const & tb);
 
-  virtual void       Draw(PIGraphicUC* g, float xmin, float ymin, float xmax, float ymax); 
+  virtual void       Draw(PIGraphicUC* g, double xmin, double ymin, double xmax, double ymax); 
 
   inline int         ElAddLine(PIGrCoord x1, PIGrCoord y1, PIGrCoord x2, PIGrCoord y2, 
Index: trunk/SophyaPI/PI/pidrwtools.cc
===================================================================
--- trunk/SophyaPI/PI/pidrwtools.cc	(revision 203)
+++ trunk/SophyaPI/PI/pidrwtools.cc	(revision 204)
@@ -332,5 +332,5 @@
 
 char strg[64];
-float xmin, xmax, ymin, ymax;
+double xmin, xmax, ymin, ymax;
 int axrl = kAxeDirLtoR;
 int ayud = kAxeDirDownUp;
@@ -340,6 +340,6 @@
 
   case 2600 :
-    sscanf(mText[0]->GetText().c_str(), "%g %g" , &xmin, &xmax);
-    sscanf(mText[1]->GetText().c_str(), "%g %g" , &ymin, &ymax);
+    sscanf(mText[0]->GetText().c_str(), "%lg %lg" , &xmin, &xmax);
+    sscanf(mText[1]->GetText().c_str(), "%lg %lg" , &ymin, &ymax);
     if (mCkb[0]->GetState())  axrl = kAxeDirRtoL ;
     if (mCkb[1]->GetState())  ayud = kAxeDirUpDown;
Index: trunk/SophyaPI/PI/pigraph3d.cc
===================================================================
--- trunk/SophyaPI/PI/pigraph3d.cc	(revision 203)
+++ trunk/SophyaPI/PI/pigraph3d.cc	(revision 204)
@@ -75,6 +75,6 @@
 
 //++
-// void  Set3DCS_Obs(float xo, float yo, float zo, float teta, float phi, float psi, -
-//                  float dax, float day, float co, float dco=0.2)
+// void  Set3DCS_Obs(double xo, double yo, double zo, double teta, double phi, double psi, -
+//                  double dax, double day, double co, double dco=0.2)
 //	Définition du système de projection 3D à l'aide de la position de l'observateur 
 //	et de la direction de visée.
@@ -86,6 +86,6 @@
 //|	dco : profondeur de champ 
 //
-// void  Set3DCS(float xc, float yc, float zc, float xo, float yo, float zo, -
-//               float dax, float day, float dco=0.2, float psi=0.)
+// void  Set3DCS(double xc, double yc, double zc, double xo, double yo, double zo, -
+//               double dax, double day, double dco=0.2, double psi=0.)
 //	Définition du système de projection 3D à partir de la position de l'observateur et 
 //	du centre du champ.
@@ -106,10 +106,9 @@
 #endif
 
-static float deuxpi = 2*M_PI;
-static double ddeuxpi = 2*M_PI;
-
-/* --Methode-- */
-void PIGraphic3D::Set3DCS_Obs(float xo, float yo, float zo, float teta, float phi, float psi, 
-                              float dax, float day, float co, float dco)
+static double deuxpi = 2*M_PI;
+
+/* --Methode-- */
+void PIGraphic3D::Set3DCS_Obs(double xo, double yo, double zo, double teta, double phi, double psi, 
+                              double dax, double day, double co, double dco)
 {
   sO = true;
@@ -149,6 +148,6 @@
 
 /* --Methode-- */
-void PIGraphic3D::Set3DCS(float xc, float yc, float zc, float xo, float yo, float zo, 
-                          float dax, float day, float dco, float psi)
+void PIGraphic3D::Set3DCS(double xc, double yc, double zc, double xo, double yo, double zo, 
+                          double dax, double day, double dco, double psi)
 {
   sO = false;
@@ -185,5 +184,5 @@
   tO = acos(ct);
   if (lxy < 1.e-6) { fO = 0.;  cf = 0.;  }
-  else {  cf = dx/lxy;  fO = acos(cf);  if (dy < 0.)  fO = ddeuxpi-fO;   }
+  else {  cf = dx/lxy;  fO = acos(cf);  if (dy < 0.)  fO = deuxpi-fO;   }
 // (Teta,Phi) = Direction de visee 
 // Les angles d'Euler correspondants sont Teta, Phi+Pi/2
@@ -201,20 +200,20 @@
 
 //++
-// bool Get3DCS(float& xc, float& yc, float& zc, float& xo, float& yo, float& zo, -
-//             float& teta, float& phi, float& psi, float& dax, float& day, float& co, float& dco);
+// bool Get3DCS(double& xc, double& yc, double& zc, double& xo, double& yo, double& zo, -
+//             double& teta, double& phi, double& psi, double& dax, double& day, double& co, double& dco);
 //	Renvoie les paramètres de définition du système de projection 3D.
 //	"Rc= true" si défini par  "Set3DCS_Obs()"
 //	
-// void  RotateObserver(float teta, float phi, float psi=0., bool rel=true)
+// void  RotateObserver(double teta, double phi, double psi=0., bool rel=true)
 //	Positionne l'observateur (la caméra) en maintenant la position  
 //	du centre de champ fixe. Si "rel=false" : "teta, phi" determine la nouvelle
 //	direction de visée. Si "rel=false" : la direction de visée est tournée
 //	de l'angle "teta,phi". 
-// void  RotateObject(float teta, float phi, bool rel=true)
+// void  RotateObject(double teta, double phi, bool rel=true)
 //	Repostionne le centre du champ en maintenant la position de l'observateur fixe.
 //	Si "rel=false" : "teta, phi" determine la nouvelle direction de visée.
 //	Si "rel=false" : la direction de visée est tournée de l'angle "teta,phi". 
 // 
-// void  ZoomInOut(float fco, float fdax, float fday, bool rel=true)
+// void  ZoomInOut(double fco, double fdax, double fday, bool rel=true)
 //	Eloigne ou approche l'observateur et modifie l'ouverture du plan image.
 //	si "real=true" : "fco, fdax, fday" sont des facteurs multiplicatifs
@@ -225,6 +224,6 @@
 
 /* --Methode-- */
-bool PIGraphic3D::Get3DCS(float& xc, float& yc, float& zc, float& xo, float& yo, float& zo, 
-                          float& teta, float& phi, float& psi, float& dax, float& day, float& co, float& dco)
+bool PIGraphic3D::Get3DCS(double& xc, double& yc, double& zc, double& xo, double& yo, double& zo, 
+                          double& teta, double& phi, double& psi, double& dax, double& day, double& co, double& dco)
 {
   xc = xC;  yc = yC;  zc = zC;
@@ -238,5 +237,5 @@
 
 /* --Methode-- */
-void PIGraphic3D::RotateObserver(float teta, float phi, float psi, bool rel)
+void PIGraphic3D::RotateObserver(double teta, double phi, double psi, bool rel)
 // Positionne l'observateur (la camera) de maniere a ce que la direction de 
 // visee soit tO=teta, pO=phi (rel=false) / tO+=teta pO+=phi (rel=true) 
@@ -251,5 +250,5 @@
   while (teta > deuxpi)  teta -= deuxpi;
   if (teta > M_PI)  { teta = M_PI-teta;  phi = phi+M_PI; }
-  float xo,yo,zo; 
+  double xo,yo,zo; 
   zo = -cos((double)teta)*lCO+zC;
   xo = -sin((double)teta)*cos((double)phi)*lCO+xC;
@@ -259,5 +258,5 @@
 
 /* --Methode-- */
-void PIGraphic3D::RotateObject(float teta, float phi, bool rel)
+void PIGraphic3D::RotateObject(double teta, double phi, bool rel)
 // Positionne l'objet (centre du champ) de maniere a ce que la direction de 
 // visee soit tO=teta, pO=phi (rel=false) / tO+=teta pO+=phi (rel=true) 
@@ -271,5 +270,5 @@
   while (teta > deuxpi)  teta -= deuxpi;
   if (teta > M_PI)  { teta = M_PI-teta;  phi = phi+M_PI; }
-  float xc,yc,zc; 
+  double xc,yc,zc; 
   zc = cos((double)teta)*lCO+zO;
   xc = sin((double)teta)*cos((double)phi)*lCO+xO;
@@ -279,5 +278,5 @@
 
 /* --Methode-- */
-void PIGraphic3D::ZoomInOut(float fco, float fdax, float fday, bool rel)
+void PIGraphic3D::ZoomInOut(double fco, double fdax, double fday, bool rel)
 {
   if (fco < 0.001) fco = 1.;
@@ -291,5 +290,5 @@
   }
   else dl = fco; 
-  float xo,yo,zo; 
+  double xo,yo,zo; 
   if (dl < 1.e-5) dl = 1.e-5;
   zo = zC-cos((double)tO)*dl;
@@ -301,5 +300,5 @@
 
 /* --Methode-- */
-void PIGraphic3D::C3DC2ObsCS(float x, float y, float z, float& xp, float& yp, float& zp)
+void PIGraphic3D::C3DC2ObsCS(double x, double y, double z, double& xp, double& yp, double& zp)
 {
   double xc, yc, zc;
@@ -311,8 +310,8 @@
 
 /* --Methode-- */
-void PIGraphic3D::Proj3DC2GrC(float x, float y, float z, float& xpix, float& ypix)
+void PIGraphic3D::Proj3DC2GrC(double x, double y, double z, double& xpix, double& ypix)
 {
   double xc, yc, zc;
-  float xp, yp, zp;
+  double xp, yp, zp;
   xc = x-xO;   yc = y-yO;    zc = z-zO;
   xp = RE[0][0]*xc+RE[0][1]*yc+RE[0][2]*zc;   
@@ -321,6 +320,6 @@
   if ((zp>-1.e-6) && (zp < 1.e-6))   // Protection Divide/0
     { xpix = ypix = 0.;   return; }
-  xpix = (float)(xOrg + (xp/zp)*xScale);
-  ypix = (float)(yOrg + (yp/zp)*yScale);
+  xpix = (double)(xOrg + (xp/zp)*xScale);
+  ypix = (double)(yOrg + (yp/zp)*yScale);
 //  printf("-DBG-Proj3DC2GrC() %g %g %g -> %g %g %g -> %g %g %g -> (%g %g)\n", x,y,z,xc,yc,zc,xp,yp,zp,xp/zp,yp/zp);
 //  printf("-DBG- ... (%g %g %g - %g %g) %g %g - %g %g -> %g %g \n", xO,yO,zO, tO,fO, xOrg, yOrg,xScale,yScale ,xpix,ypix);
@@ -353,5 +352,5 @@
 {
   if (!mGrC) return;
-  float xf, yf;
+  double xf, yf;
   Proj3DC2GrC(x0, y0, z0, xf, yf);
   mGrC->DrawString(xf, yf, s);
@@ -363,5 +362,5 @@
 {
   if (!mGrC) return;
-  float xf, yf;
+  double xf, yf;
   Proj3DC2GrC(x0, y0, z0, xf, yf);
   mGrC->DrawOpaqueString(xf, yf, s);
@@ -374,10 +373,10 @@
 {
   if (!mGrC) return;
-  float xf1, yf1, xf2, yf2;
+  double xf1, yf1, xf2, yf2;
   Proj3DC2GrC(x1, y1, z1, xf1, yf1);
   Proj3DC2GrC(x2, y2, z2, xf2, yf2);
 //  printf("-DBG-DrawLine3D() : %g %g %g -> %g %g | %g %g %g -> %g %g\n", 
-//         (float)x1, (float)y1, (float)z1, xf1, yf1, 
-//         (float)x2, (float)y2, (float)z2, xf2, yf2 );
+//         (double)x1, (double)y1, (double)z1, xf1, yf1, 
+//         (double)x2, (double)y2, (double)z2, xf2, yf2 );
   mGrC->DrawLine(xf1, yf1, xf2, yf2);
 }
@@ -391,5 +390,5 @@
   PIGrCoord *pxc, *pyc;
   int i;
-  float xf, yf;
+  double xf, yf;
  
   if (!mGrC) return;
@@ -414,5 +413,5 @@
   PIGrCoord *pxc, *pyc;
   int i;
-  float xf, yf;
+  double xf, yf;
  
   if (!mGrC) return;
@@ -434,5 +433,5 @@
 {
   if (!mGrC) return;
-  float xf, yf;
+  double xf, yf;
   Proj3DC2GrC(x0, y0, z0, xf, yf);
   mGrC->DrawMarker(xf, yf);
@@ -446,5 +445,5 @@
   PIGrCoord *pxc, *pyc;
   int i;
-  float xf, yf;
+  double xf, yf;
  
   if (!mGrC) return;
@@ -473,5 +472,5 @@
 printf("RE[3][3]=  %g %g %g | %g %g %g | %g %g %g\n", 
         RE[0][0], RE[0][1], RE[0][2], RE[1][0], RE[1][1], RE[1][2], RE[2][0], RE[2][1], RE[2][2]); 
-float x,y,z,xp,yp,zp, xpix, ypix;
+double x,y,z,xp,yp,zp, xpix, ypix;
 x = xC, y = yC, z= zC;
 C3DC2ObsCS(x, y, z, xp, yp, zp);
Index: trunk/SophyaPI/PI/pigraph3d.h
===================================================================
--- trunk/SophyaPI/PI/pigraph3d.h	(revision 203)
+++ trunk/SophyaPI/PI/pigraph3d.h	(revision 204)
@@ -20,18 +20,18 @@
 
 //  Definition du systeme de projection 3D-2D
-  virtual void       Set3DCS_Obs(float xo, float yo, float zo, float teta, float phi, float psi, 
-                                 float dax, float day, float co, float dco=0.2);
-  virtual void       Set3DCS(float xc, float yc, float zc, float xo, float yo, float zo, 
-                             float dax, float day, float dco=0.2, float psi=0.);
-  virtual bool       Get3DCS(float& xc, float& yc, float& zc, float& xo, float& yo, float& zo,  
-                             float& teta, float& phi, float& psi, float& dax, float& day, float& co, float& dco);
+  virtual void       Set3DCS_Obs(double xo, double yo, double zo, double teta, double phi, double psi, 
+                                 double dax, double day, double co, double dco=0.2);
+  virtual void       Set3DCS(double xc, double yc, double zc, double xo, double yo, double zo, 
+                             double dax, double day, double dco=0.2, double psi=0.);
+  virtual bool       Get3DCS(double& xc, double& yc, double& zc, double& xo, double& yo, double& zo,  
+                             double& teta, double& phi, double& psi, double& dax, double& day, double& co, double& dco);
 
   virtual void       PrintCS();  // Pour debugger
-  virtual void       RotateObserver(float teta, float phi, float psi=0., bool rel=true);
-  virtual void       RotateObject(float teta, float phi, bool rel=true);
-  virtual void       ZoomInOut(float fco, float fdax, float fday, bool rel=true);
+  virtual void       RotateObserver(double teta, double phi, double psi=0., bool rel=true);
+  virtual void       RotateObject(double teta, double phi, bool rel=true);
+  virtual void       ZoomInOut(double fco, double fdax, double fday, bool rel=true);
 
-  virtual void       C3DC2ObsCS(float x, float y, float z, float& xp, float& yp, float& zp);
-  virtual void       Proj3DC2GrC(float x, float y, float z, float& xpix, float& ypix);
+  virtual void       C3DC2ObsCS(double x, double y, double z, double& xp, double& yp, double& zp);
+  virtual void       Proj3DC2GrC(double x, double y, double z, double& xpix, double& ypix);
   
   virtual void       DrawString3D(PIGrCoord x0, PIGrCoord y0, PIGrCoord z0, const char* s);
Index: trunk/SophyaPI/PI/pigraphgen.cc
===================================================================
--- trunk/SophyaPI/PI/pigraphgen.cc	(revision 203)
+++ trunk/SophyaPI/PI/pigraphgen.cc	(revision 204)
@@ -145,8 +145,8 @@
 // void  DrawFPolygon(PIGrCoord *x, PIGrCoord *y, int n, bool cinc=true)
 //	Tracé d'un polygone plein de la couleur d'avant-plan.
-// void  DrawArc(PIGrCoord x0, PIGrCoord y0, PIGrCoord dx, PIGrCoord dy, float degdeb, float degfin)
+// void  DrawArc(PIGrCoord x0, PIGrCoord y0, PIGrCoord dx, PIGrCoord dy, double degdeb, double degfin)
 //	Tracé d'un arc de cercle ou d'ellipse, inclu dans le "(x0,y0)" , "dx,dy" 
 //	entre les angles (en degré) "degdeb" - "degfin" 
-// void  DrawFArc(PIGrCoord x0, PIGrCoord y0, PIGrCoord dx, PIGrCoord dy, float degdeb, float degfin)
+// void  DrawFArc(PIGrCoord x0, PIGrCoord y0, PIGrCoord dx, PIGrCoord dy, double degdeb, double degfin)
 //	Tracé d'un arc plein, inclu dans le "(x0,y0)" , "dx,dy" 
 //	entre les angles (en degré) "degdeb" - "degfin" 
@@ -338,4 +338,6 @@
 // operator float() 
 //	Conversion en réél "float"
+// operator double() 
+//	Conversion en réél "double"
 //--
 //++
Index: trunk/SophyaPI/PI/pigraphgen.h
===================================================================
--- trunk/SophyaPI/PI/pigraphgen.h	(revision 203)
+++ trunk/SophyaPI/PI/pigraphgen.h	(revision 204)
@@ -43,21 +43,22 @@
 
 
-//  Classe pour gerer indifferement des coordonnees float ou int 
+//  Classe pour gerer indifferement des coordonnees double ou int 
 class PIGrCoord {
 public:
-  inline PIGrCoord() { iv = 0; fv = 0.;}
-  inline PIGrCoord(int a) { iv = a; fv = (float)a;}
-  inline PIGrCoord(float a) { iv = (int)a; fv = a;}
-  inline PIGrCoord(double a) { iv = (int)a; fv = (float)a;}
+  inline PIGrCoord() { iv = 0; dv = 0.;}
+  inline PIGrCoord(int a) { iv = a; dv = (double)a;}
+  inline PIGrCoord(float a) { iv = (int)a; dv = (double)a;}
+  inline PIGrCoord(double a) { iv = (int)a; dv = a;}
   inline operator int() { return(iv); }
   inline operator short() { return((short)iv); }
   inline operator unsigned int() { return((unsigned int)iv); }
   inline operator unsigned short() { return((unsigned short)iv); }
-  inline operator float() { return(fv); }
-  inline PIGrCoord& operator= (int a) { iv = a; fv = (float)a; return(*this); }
-  inline PIGrCoord& operator= (float a) { iv = (int)a; fv = a; return(*this); }
-  inline PIGrCoord& operator= (double a) { iv = (int)a; fv = (float)a; return(*this); }
+  inline operator float() { return((float)dv); }
+  inline operator double() { return(dv); }
+  inline PIGrCoord& operator= (int a) { iv = a; dv = (double)a; return(*this); }
+  inline PIGrCoord& operator= (float a) { iv = (int)a; dv = (double)a; return(*this); }
+  inline PIGrCoord& operator= (double a) { iv = (int)a; dv = a; return(*this); }
   int iv;
-  float fv;
+  double dv;
 };
 
@@ -96,7 +97,7 @@
   virtual void       DrawFPolygon(PIGrCoord *x, PIGrCoord *y, int n, bool cinc=true)   = 0;  
   virtual void       DrawArc(PIGrCoord x0, PIGrCoord y0, PIGrCoord dx, PIGrCoord dy,
-                             float degdeb, float degfin)                               = 0;
+                             double degdeb, double degfin)                             = 0;
   virtual void       DrawFArc(PIGrCoord x0, PIGrCoord y0, PIGrCoord dx, PIGrCoord dy, 
-                              float degdeb, float degfin)                              = 0;
+                              double degdeb, double degfin)                            = 0;
   virtual void       DrawMarker(PIGrCoord x0, PIGrCoord y0)                            = 0;
   virtual void       DrawMarkers(PIGrCoord *x, PIGrCoord *y, int n)                    = 0;
